Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface ReturnTree

All Superinterfaces:
  `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface ReturnTree
    extends StatementTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a 'return' statement. For example:

       return;
       return expression;

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the expression being returned.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getExpression

ExpressionTree getExpression()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the expression being returned. This is null if no value is being returned. i.e., empty return statement.

Returns:
  the returned expression